{% set CodiceModulo = "RINUNCIA" %}
{% set Urn = "document:c_m208:generale;annullamento.archiviazione.pratica;comunicazione" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
  { "codice":"COP-ATT-NOT",
    "urn":"document:s_italia:atto.notarile;copia",
    "descrizione_tabella_allegati":"Copia dell’atto notarile con il quale è stata conferita la procura",
    "annotazioni_tabella_allegati":"",
    "descrizione_meta":"", 
    "filename":"Atto notarile procura",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",
    "enabled":"#Titolare_Ruolo.value() == 'Procuratore con potere di rappresentanza legale'",
    "dynamic_check":"#Titolare_Ruolo.value() == 'Procuratore con potere di rappresentanza legale'",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
  },
  { "codice":"DAE-CDI",
    "urn":"document:s_italia:generale;documento.identita;documentazione",
    "descrizione_tabella_allegati":"copia del documento di identità",
    "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
    "descrizione_meta":"", 
    "filename":"Documento identita",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1",
    "dimensione":"15",                                        
    "enabled":"",
    "dynamic_check":"",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  }
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo="Generale"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list="prot,seggen,segr,pol,tec,civ,ele,ana,soc,trib,terr,patr,cult"
uo_globo_list=""
descrizione="Domanda di annullamento e archiviazione di una pratica"
destinatario_amministrazione=""
destinatario_ufficio="{% block destinatario_ufficio %}UOPROTOCOLLO{% endblock destinatario_ufficio %}"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
generabile_da=""
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="SI"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}

{% endblock meta %}

{% block title %}Richiesta archiviazione istanza presentata{% endblock title %}

{% block content %}

<input dynamic_value="#Ente.value()" id="Parametri_Comune" name="Parametri_Comune" type="hidden"/>

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - archiviazione e annullamento pratica'" id="Oggetto" name="Oggetto" type="hidden"/>

{% block intestazione %}
	{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}
{% endblock intestazione %}

<!-- urn_procedure deve essere scritta in formato es. "procedure%3As_italia%3Aasilo.nido%3Biscrizione" -->
{{ utils.attivazione_temporale_procedure(urn_procedure="procedure%3As_italia%3Aprocedimenti.amministrativi%3Bannullamento.istanza%3Bdomanda")}}

<div class="container">
  <div class="title-1"> Domanda di annullamento e archiviazione di una pratica </div>
</div>

{% block elenco_uffici %}
<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-12">
      <label for="Parametri_UfficioDest"> Ufficio destinatario </label>
      <select class="form-control custom-select" id="Parametri_UfficioDest" name="Parametri_UfficioDest" label="Ufficio destinatario">
        <option value=""></option>
        <option value="Archivio e Protocollo">Archivio e Protocollo</option>
        <option value="Ufficio Segretario Generale">Ufficio Segretario Generale</option>
        <option value="Segreteria generale">Segreteria generale</option>
        <option value="Settore Vigilanza e Sicurezza Urbana">Settore Vigilanza e Sicurezza Urbana</option>
        <option value="Settore tecnico">Settore tecnico</option>
        <option value="Ufficio stato civile">Ufficio stato civile</option>
        <option value="Ufficio elettorale">Ufficio elettorale</option>
        <option value="Ufficio anagrafe">Ufficio anagrafe</option>
        <option value="Settore servizi alle persone">Settore servizi alle persone</option>
        <option value="Settore Economico-Finanziario">Settore Economico-Finanziario</option>
        <option value="Settore Governo del Territorio">Settore Governo del Territorio</option>
        <option value="Settore Gestione e Valorizzazione del Patrimonio e del Territorio Comunale">Settore Gestione e Valorizzazione del Patrimonio e del Territorio Comunale</option>
        <option value="Programmazione e coordinamento politiche e attività culturali">Programmazione e coordinamento politiche e attività culturali</option>
      </select>
    </div>
  </div>
</div>
{% endblock elenco_uffici %}

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il sottoscritto", 
                      ruoli=["Persona fisica", "Titolare", "Legale rappresentante", "Procuratore con potere di rappresentanza legale"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="false", 
                      campi_readonly="readonly", 
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="false", 
                      mailordinaria_obbligatoria="true", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false") }}

{% block domicilio_digitale %}
	{{utils.domicilio_digitale()}}
{% endblock domicilio_digitale %}

{% block riferimenti_segnatura %}
	<!-- riferimenti per Segnatura -->
	{{utils.riferimenti("visibility:visibility", "display:none")}}
{% endblock riferimenti_segnatura %}

<globo_salto_pagina></globo_salto_pagina>

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> l'annullamento e l'archiviazione dello stesso per il seguente motivo </div>
</div>
<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-12">
      <label for="Parametri_MotivazioneRichiesta"></label>
      <textarea class="form-control" id="Parametri_MotivazioneRichiesta" name="Parametri_MotivazioneRichiesta" label="Motivazione"></textarea>
    </div>
  </div>
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input type="hidden" dynamic_value="(#Parametri_UfficioDest.value() == 'Archivio e Protocollo' ? 'prot' : '') + (#Parametri_UfficioDest.value() == 'Ufficio Segretario Generale' ? 'seggen' : '') + (#Parametri_UfficioDest.value() == 'Segreteria generale' ? 'segr' : '') + (#Parametri_UfficioDest.value() == 'Settore Vigilanza e Sicurezza Urbana' ? 'pol' : '') + (#Parametri_UfficioDest.value() == 'Settore tecnico' ? 'tec' : '') + (#Parametri_UfficioDest.value() == 'Ufficio stato civile' ? 'civ' : '') + (#Parametri_UfficioDest.value() == 'Ufficio elettorale' ? 'ele' : '') + (#Parametri_UfficioDest.value() == 'Ufficio anagrafe' ? 'ana' : '') + (#Parametri_UfficioDest.value() == 'Settore servizi alle persone' ? 'soc' : '') + (#Parametri_UfficioDest.value() == 'Settore Economico-Finanziario' ? 'trib' : '') + (#Parametri_UfficioDest.value() == 'Settore Governo del Territorio' ? 'terr' : '') + (#Parametri_UfficioDest.value() == 'Settore Gestione e Valorizzazione del Patrimonio e del Territorio Comunale' ? 'patr' : '') + (#Parametri_UfficioDest.value() == 'Programmazione e coordinamento politiche e attività culturali' ? 'cult' : '')" id="GLOBO_sub_urn"  ng-sub-urn 
name="GLOBO_sub_urn" value="" />
<input destinatario_amministrazione="getParameter('Ente')" sub_urn="(#Parametri_UfficioDest.value() == 'Archivio e Protocollo' ? 'prot' : '') + (#Parametri_UfficioDest.value() == 'Ufficio Segretario Generale' ? 'seggen' : '') + (#Parametri_UfficioDest.value() == 'Segreteria generale' ? 'segr' : '') + (#Parametri_UfficioDest.value() == 'Settore Vigilanza e Sicurezza Urbana' ? 'pol' : '') + (#Parametri_UfficioDest.value() == 'Settore tecnico' ? 'tec' : '') + (#Parametri_UfficioDest.value() == 'Ufficio stato civile' ? 'civ' : '') + (#Parametri_UfficioDest.value() == 'Ufficio elettorale' ? 'ele' : '') + (#Parametri_UfficioDest.value() == 'Ufficio anagrafe' ? 'ana' : '') + (#Parametri_UfficioDest.value() == 'Settore servizi alle persone' ? 'soc' : '') + (#Parametri_UfficioDest.value() == 'Settore Economico-Finanziario' ? 'trib' : '') + (#Parametri_UfficioDest.value() == 'Settore Governo del Territorio' ? 'terr' : '') + (#Parametri_UfficioDest.value() == 'Settore Gestione e Valorizzazione del Patrimonio e del Territorio Comunale' ? 'patr' : '') + (#Parametri_UfficioDest.value() == 'Programmazione e coordinamento politiche e attività culturali' ? 'cult' : '')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
